Bio::MUST::Core::Taxonomy(3)

NAME
Bio::MUST::Core::Taxonomy - NCBI Taxonomy one-stop shop

VERSION
version 0.212670

SYNOPSIS
    # TODO

DESCRIPTION
    # TODO

METHODS

  get_taxid_from_seq_id

  get_taxid_from_legacy_seq_id

  get_taxonomy_from_seq_id

  get_taxid_from_taxonomy

  get_taxonomy_with_levels_from_seq_id

  get_taxa_from_taxid

  get_nexus_label_from_seq_id

  get_common_taxonomy_from_seq_ids

  attach_taxonomies_to_terminals

  attach_taxonomies_to_internals

  attach_taxa_to_entities

  gi_mapper

  tab_mapper

  tax_mapper

  tax_filter

  tax_criterion

  tax_category

  tax_classifier

  tax_labeler_from_systematic_frame

  tax_labeler_from_list

  load_color_scheme

  eq_tax

  setup_taxdir

I/O METHODS

  new_from_cache

  update_cache

ALIASES

  fetch_lineage

  compute_lca

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

CONTRIBUTORS

•   Loic MEUNIER <loic.meunier@doct.uliege.be>

•   Mick VAN VLIERBERGHE <mvanvlierberghe@doct.uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.